import { NgModule, Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
var ProgressBar = (function () {
    function ProgressBar() {
        this.showValue = true;
        this.unit = '%';
        this.mode = 'determinate';
    }
    ProgressBar.decorators = [
        { type: Component, args: [{
                    selector: 'p-progressBar',
                    template: "\n        <div [class]=\"styleClass\" [ngStyle]=\"style\" role=\"progressbar\" aria-valuemin=\"0\" [attr.aria-valuenow]=\"value\" aria-valuemax=\"100\"\n            [ngClass]=\"{'ui-progressbar ui-widget ui-widget-content ui-corner-all': true, 'ui-progressbar-determinate': (mode === 'determinate'), 'ui-progressbar-indeterminate': (mode === 'indeterminate')}\">\n            <div class=\"ui-progressbar-value ui-progressbar-value-animate ui-widget-header ui-corner-all\" [style.width]=\"value + '%'\" style=\"display:block\"></div>\n            <div class=\"ui-progressbar-label\" [style.display]=\"value ? 'block' : 'none'\" *ngIf=\"showValue\">{{value}}{{unit}}</div>\n        </div>\n    "
                },] },
    ];
    /** @nocollapse */
    ProgressBar.ctorParameters = function () { return []; };
    ProgressBar.propDecorators = {
        'value': [{ type: Input },],
        'showValue': [{ type: Input },],
        'style': [{ type: Input },],
        'styleClass': [{ type: Input },],
        'unit': [{ type: Input },],
        'mode': [{ type: Input },],
    };
    return ProgressBar;
}());
export { ProgressBar };
var ProgressBarModule = (function () {
    function ProgressBarModule() {
    }
    ProgressBarModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    exports: [ProgressBar],
                    declarations: [ProgressBar]
                },] },
    ];
    /** @nocollapse */
    ProgressBarModule.ctorParameters = function () { return []; };
    return ProgressBarModule;
}());
export { ProgressBarModule };
//# sourceMappingURL=progressbar.js.map