import { NgModule, Component, Input, ElementRef } from '@angular/core';
import { CommonModule } from '@angular/common';
var Toolbar = (function () {
    function Toolbar(el) {
        this.el = el;
    }
    Toolbar.prototype.getBlockableElement = function () {
        return this.el.nativeElement.children[0];
    };
    Toolbar.decorators = [
        { type: Component, args: [{
                    selector: 'p-toolbar',
                    template: "\n        <div [ngClass]=\"'ui-toolbar ui-widget ui-widget-header ui-corner-all ui-helper-clearfix'\" [ngStyle]=\"style\" [class]=\"styleClass\">\n            <ng-content></ng-content>\n        </div>\n    "
                },] },
    ];
    /** @nocollapse */
    Toolbar.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    Toolbar.propDecorators = {
        'style': [{ type: Input },],
        'styleClass': [{ type: Input },],
    };
    return Toolbar;
}());
export { Toolbar };
var ToolbarModule = (function () {
    function ToolbarModule() {
    }
    ToolbarModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    exports: [Toolbar],
                    declarations: [Toolbar]
                },] },
    ];
    /** @nocollapse */
    ToolbarModule.ctorParameters = function () { return []; };
    return ToolbarModule;
}());
export { ToolbarModule };
//# sourceMappingURL=toolbar.js.map