import { NgModule, Directive, ElementRef } from '@angular/core';
import { CommonModule } from '@angular/common';
var CodeHighlighter = (function () {
    function CodeHighlighter(el) {
        this.el = el;
    }
    CodeHighlighter.prototype.ngOnInit = function () {
        if (window['Prism']) {
            window['Prism'].highlightElement(this.el.nativeElement);
        }
    };
    CodeHighlighter.decorators = [
        { type: Directive, args: [{
                    selector: '[pCode]'
                },] },
    ];
    /** @nocollapse */
    CodeHighlighter.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    return CodeHighlighter;
}());
export { CodeHighlighter };
var CodeHighlighterModule = (function () {
    function CodeHighlighterModule() {
    }
    CodeHighlighterModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    exports: [CodeHighlighter],
                    declarations: [CodeHighlighter]
                },] },
    ];
    /** @nocollapse */
    CodeHighlighterModule.ctorParameters = function () { return []; };
    return CodeHighlighterModule;
}());
export { CodeHighlighterModule };
//# sourceMappingURL=codehighlighter.js.map